# $Revision: 1.25 $, $Date: 2005/01/16 17:43:14 $
Summary:	Mingw32 Binary Utility Development Utilities - Win32 API libraries
Summary(pl):	Zestaw narzdzi mingw32 - biblioteki API Win32
Name:		crossmingw32-w32api
Version:	3.2
%define	apiver	%{version}
%define	apisrc	w32api-%{apiver}
%define runver	3.7
%define	runsrc	mingw-runtime-%{runver}
Release:	1
Epoch:		1
License:	Free
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/mingw/%{apisrc}-src.tar.gz
# Source0-md5:	c9204f46e6b6deeb1c182bc75ad4d88f
# only for headers
Source1:	http://dl.sourceforge.net/mingw/%{runsrc}-src.tar.gz
# Source1-md5:	d5bb1d754e3315a768fe69056b3ee8d3
Source2:	http://oss.sgi.com/projects/ogl-sample/ABI/glext.h
# NoSource2-md5:	b3e8590b46dbab4341841592147fba26
Patch0:		%{name}-include_fix.patch
URL:		http://www.mingw.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
Requires:	crossmingw32-binutils >= 2.15.91.0.2-2
Obsoletes:	crossmingw32-platform
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		i386-mingw32
%define		target_platform i386-pc-mingw32
%define		_prefix		/usr/%{target}
%define		_libdir		%{_prefix}/lib

# strip fails on static COFF files
%define		no_install_post_strip 1

%ifarch alpha sparc sparc64 sparcv9
# alpha's -mieee and sparc's -mtune=* are not valid for target's gcc
%define		optflags	-O2
%endif

%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the Mingw32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains Win32 API includes and libraries.

%description -l pl
crossmingw32 jest kompletnym systemem do kompilacji skronej,
pozwalajcym budowa aplikacje MS Windows pod Linuksem uywajc
bibliotek mingw32. System skada si z binutils, gcc z g++ i objc,
libstdc++ - wszystkie generujce kod dla platformy i386-mingw32, oraz
z bibliotek w formacie COFF.

Ten pakiet zawiera pliki nagwkowe i biblioteki Win32 API.

%package dx
Summary:	DirectX from MinGW Win32 API
Summary(pl):	DirectX z API Win32 dla MinGW
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dx
DirectX from MinGW Win32 API.

%description dx -l pl
DirectX z API Win32 dla MinGW.

%prep
%setup -q -n w32api-%{version} -a1
%patch0 -p1

%build
cp /usr/share/automake/config.sub .
%{__autoconf}
./configure \
	--prefix=%{_prefix} \
	--host=%{target} \
	--build=%{_target_platform} \
	CFLAGS="-I`pwd`/%{runsrc}/include %{rpmcflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	inst_libdir=$RPM_BUILD_ROOT%{_libdir} \
	inst_includedir=$RPM_BUILD_ROOT%{_includedir}

%{!?debug:%{target}-strip -g $RPM_BUILD_ROOT%{_libdir}/*.a}

install %{SOURCE2} $RPM_BUILD_ROOT%{_includedir}/GL

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_includedir}
%{_includedir}/*
%{_libdir}/lib[!d]*.a
%{_libdir}/libdlcapi.a
%{_libdir}/libdxapi.a
%exclude %{_libdir}/libglut*.a
%exclude %{_includedir}/dxerr*.h
%exclude %{_includedir}/d3d*.h

%files dx
%defattr(644,root,root,755)
%{_libdir}/libd[!lx]*.a
%{_libdir}/libdxguid.a
%{_libdir}/libdxerr8.a
%{_libdir}/libdxerr9.a
%{_includedir}/dxerr*.h
%{_includedir}/d3d*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-w32api.spec,v $
Revision 1.25  2005/01/16 17:43:14  qboosh
- updated to 3.2, runtime 3.7, glext.h 25

Revision 1.24  2004/11/14 17:18:19  wolf
- rel 2

Revision 1.23  2004/09/25 13:41:27  wolf
- fixed dx

Revision 1.22  2004/09/22 22:30:56  jareq
- updated to 3.1
- updated to runtime 3.5
- updated to binutils 2.15.91.0.2-2
- rel 1

Revision 1.21  2004/09/16 12:14:20  wolf
- rel 6
- remove libglut32.a

Revision 1.20  2004/06/07 22:58:42  ankry
- rel. 5

Revision 1.19  2004/06/07 22:56:09  ankry
- don't put .h file on distfiles

Revision 1.18  2004/05/27 18:45:40  wolf
- remove libglut.a

Revision 1.17  2004/05/08 16:28:04  wolf
- 3.3 runtime
- up-to-date glext.h

Revision 1.16  2004/02/19 10:23:04  qboosh
- remove -mtune* on sparc*; release 2

Revision 1.15  2004/02/18 20:46:49  qboosh
- updated to 2.5

Revision 1.14  2004/01/25 00:30:31  undefine
- move libs to %{arch}/lib, not %{arch}/lib64 - it's 32bit binaries ;)
- release 2

Revision 1.13  2004/01/20 11:07:30  qboosh
- try to fix build on alpha

Revision 1.12  2004/01/18 21:58:00  wolf
- amd64 support

Revision 1.11  2003/11/11 11:24:10  qboosh
- BR: autoconf

Revision 1.10  2003/10/20 12:39:32  jareq
- upgrade runtime to 3.2

Revision 1.9  2003/09/16 14:56:54  wolf
- runtime - 3.1
- w32api - 2.4

Revision 1.8  2003/08/21 07:24:37  ankry
- s/kroskompilator/kompilator skrony/

Revision 1.7  2003/08/06 16:52:37  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.6  2003/07/04 15:49:05  wiget
- don't use binary ;-)
- release 2

Revision 1.5  2003/06/27 13:10:45  mmazur
- mass commit; now req: name = epoch:version

Revision 1.4  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:46:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/05 18:22:58  qboosh
- use http for sourceforge

Revision 1.1  2003/04/05 15:10:13  qboosh
- separated from crossmingw32-platform.spec, updated to 2.3
- subpackage with DirectX to allow using dx70 libraries/headers
